Name:          reptyr
Version:       0.10.0
Release:       1mamba
Summary:       A utility for taking an existing running program and attaching it to a new terminal
Group:         System/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/nelhage/reptyr
## GITSOURCE https://github.com/nelhage/reptyr.git reptyr-0.5
Source:        https://github.com/nelhage/reptyr.git/reptyr-%{version}/reptyr-%{version}.tar.bz2
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END

%description
reptyr is a utility for taking an existing running program and attaching it to a new terminal. Started a long-running process over ssh, but have to leave and don't want to interrupt it? Just start a screen, use reptyr to grab it, and then kill the ssh session and head on home.

%debug_package

%prep
%setup -q

%build
%make PREFIX=%{_prefix}

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall PREFIX=%{_prefix}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files
%defattr(-,root,root)
%{_bindir}/reptyr
%{_datadir}/bash-completion/completions/reptyr
%{_mandir}/fr/man1/reptyr.1*
%{_mandir}/man1/reptyr.1*
%doc COPYING

%changelog
* Tue Jun 06 2023 Automatic Build System <autodist@mambasoft.it> 0.10.0-1mamba
- automatic version update by autodist

* Sat Jun 18 2022 Automatic Build System <autodist@mambasoft.it> 0.9.0-1mamba
- automatic version update by autodist

* Thu Dec 10 2020 Automatic Build System <autodist@mambasoft.it> 0.8.0-1mamba
- automatic version update by autodist

* Mon Dec 10 2018 Automatic Build System <autodist@mambasoft.it> 0.7.0-1mamba
- automatic version update by autodist

* Wed Feb 18 2015 Automatic Build System <autodist@mambasoft.it> 0.6.2-1mamba
- automatic version update by autodist

* Sun Jun 01 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.5-1mamba
- package created using the webbuild interface
